org.freeplane.plugin.script

## Class FreeplaneScriptBaseClass.ConfigProperties

- java.lang.Object
- - org.freeplane.plugin.script.FreeplaneScriptBaseClass.ConfigProperties

- Enclosing class:
    FreeplaneScriptBaseClass

      public static class FreeplaneScriptBaseClass.ConfigProperties
      extends java.lang.Object

  Accessor for Freeplane's configuration: In scripts available as "global variable" `config`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAt(java.lang.String name)` support config['key'] from Groovy.
    `boolean` | `getBooleanProperty(java.lang.String name)`
    `double` | `getDoubleProperty(java.lang.String name, double defaultValue)`
    `java.lang.String` | `getFreeplaneUserDirectory()`
    `int` | `getIntProperty(java.lang.String name)`
    `int` | `getIntProperty(java.lang.String name, int defaultValue)`
    `long` | `getLongProperty(java.lang.String name, int defaultValue)`
    `java.util.Properties` | `getProperties()`
    `java.lang.String` | `getProperty(java.lang.String name)`
    `java.lang.String` | `getProperty(java.lang.String name, java.lang.String defaultValue)`
    `java.util.ResourceBundle` | `getResources()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigProperties

          public ConfigProperties()

  - ### Method Detail

    - #### getBooleanProperty

          public boolean getBooleanProperty(java.lang.String name)

    - #### getDoubleProperty

          public double getDoubleProperty(java.lang.String name,
                                          double defaultValue)

    - #### getIntProperty

          public int getIntProperty(java.lang.String name)

    - #### getIntProperty

          public int getIntProperty(java.lang.String name,
                                    int defaultValue)

    - #### getLongProperty

          public long getLongProperty(java.lang.String name,
                                      int defaultValue)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String name)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String name,
                                              java.lang.String defaultValue)

    - #### getProperties

          public java.util.Properties getProperties()

    - #### getAt

          public java.lang.String getAt(java.lang.String name)

      support config['key'] from Groovy.

    - #### getResources

          public java.util.ResourceBundle getResources()

    - #### getFreeplaneUserDirectory

          public java.lang.String getFreeplaneUserDirectory()